.curtain {
  margin: 0 auto;
  width: 100%;
  height: 100vh;

}
.curtain__wrapper {


width: 100%;
height: 100%;

}
.curtain__wrapper input[type=checkbox] {
  position: absolute;
  cursor: pointer;
  width: 100%;
  height: 100%;

  z-index: 100;
  opacity: 0;
  top: 0;
  left: 0;
  
}


.curtain__wrapper input[type=checkbox]:not(:checked){
    pointer-events: none;
} 
.curtain__wrapper input[type=checkbox]:checked ~ div.curtain__panel--left {
  -webkit-transform: translateX(0);
          transform: translateX(0);
}
.curtain__wrapper input[type=checkbox]:checked ~ div.curtain__panel--right {
  -webkit-transform: translateX(0);
          transform: translateX(0);
}
.curtain__panel {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
 /*background: url(doorleft.png) 0 0;
 
     background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% 50%;   
	
	*/
  float: left;
  position: relative;
  width: 50%;
  height: 100vh;
  -webkit-transition: all 1s ease-out;
  transition: all 1s ease-out;
  z-index: 2;
}
.curtain__panel--left {
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  -webkit-transform: translateX(-100%);
          transform: translateX(-100%);
}
.curtain__panel--right {
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-transform: translateX(100%);
          transform: translateX(100%);
}
.curtain__content {
  left: 496px;
  padding: 1rem 0;
  position: absolute;
  text-align: center;
  z-index: 1;
    max-width: 48%;
    max-height: 48%;
}
